none
Changing Framework from 4.0 to 4.7.1 RRS feed

  • Question

  • Can I safely change the framework of my vb.net project from 4.0 to 4.7.1? 

    ISV using VB.net and SQL Server Express

    Monday, October 23, 2017 4:46 PM

Answers

  • Yes you can.

    You may see that some import statements are no longer needed e.g. Visual Studio 2015 and higher will show some code that appears grey out, hover over it and a suggestion will typically show that grey code can be removed. Lower versions of Visual Studio may not show the grey code, in the end no harm no foul.

    Edit: If this is for external clients make sure they have that version of the Framework installed.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help, this will help others who are looking for solutions to the same or similar problem. Contact via my Twitter (Karen Payne) or Facebook (Karen Payne) via my MSDN profile but will not answer coding question on either.
    VB Forums - moderator
    profile for Karen Payne on Stack Exchange, a network of free, community-driven Q&A sites


    Monday, October 23, 2017 5:13 PM
    Moderator